// JavaScript Document

$(document).ready(function () {

  $( window ).resize(function() {

    if($(window).width() > 1160){

      $.sidr('close', 'sidr');

    }
    
    if($(window).width() > 1000){
      $("footer .accordion").show();
    }

  });

  /***** PAGE PRELOADER *******/

  $('body').jpreLoader({

    showSplash: false,
    autoClose: true,

  }, function () {

    initializePage();

  });

  /***** END PAGE PRELOADER *******/

  /***** INTIIALIZE FUNCTION *******/
  // createHeaderSlider - Creates Main site slider
 
  var date = new Date()
  var currentYear = date.getFullYear();

  function initializePage() {

    createHeaderSlider();
    createEventGallery();
    createPrintButton();
    
  }

  /***** END INTIIALIZE FUNCTION *******/

  function createPrintButton(){

    $(".registration-event-register").append('<button class="print">Print Registration</button>');


  }

  $(document).on("click",".registration-event-register .print",function(event) {
    event.preventDefault();
    window.print();
    
  });

  /***** CREATE HEADER SLIDER *******/
  function createHeaderSlider() {

    $('#mainSlider').sliderPro({
      autoHeight: true,
      width: '100%',
      fade: false,
      fadeOutPreviousSlide: false,
      autoplayDelay: 8000,
      buttons: true,
      arrows: true,
      fadeArrows: false,
      autoScaleLayers: false,
      slideDistance: 0,
      autoplayOnHover: 'pause',
      waitForLayers: true,
      fadeCaption: true,
      endVideoAction: 'nextSlide',
      init: function () {
        
      },
      gotoSlide: function (index) {
        
      },gotoSlideComplete: function (index) {

      }
    });

  }

  /***** END CREATE HEADER SLIDER *******/

  /* =========  CREATE EVENT GALLERY =========== */
   function createEventGallery(){
    $(".galleryContainer").lightGallery({

    });
   }
  /* ========= END CREATE EVENT GALLERY =========== */


  /* =========  SCHEDULE TABS =========== */

  $(".tabNavigation li").click(toggleEventSchedule);

  var currentEvent = "";

  function toggleEventSchedule(){

    $(".tabNavigation li").removeClass("current");
    $(this).addClass("current");

    currentEvent = $(this).data('target');

    $(".tabContent").hide();
    $(".tabContent."+currentEvent).show();

  }

  /* ========= END SCHEDULE TABS =========== */

  /*****  OPENING COUNTDOWN *******/
  
  var formattedStartDate = $(".bannerContainer .eventDate span").text();
  var countDownValues = formattedStartDate.split(",");
  createCoundown(new Date(countDownValues[0],countDownValues[1]-1,countDownValues[2],countDownValues[3],countDownValues[4]));

  function createCoundown(date){
    $('.countDownTimer').countdown({until:date,format: 'DHMS',tickInterval: 3600});
  }
  
  /***** END  OPENING COUNTDOWN *******/


  /* =========  EVENT CALENDAR =========== */

  /***** EVENTS CALENDAR *******/
  $('.eventsCalendar').fullCalendar({

      header: {
              left: 'prev,next today',
              center: 'title',
              right: 'month,agendaWeek,agendaDay'
      },events: [
          {
              title: 'Event',
              start: '2017-08-07'
          },
          {
              title: 'Event 2',
              start: '2017-08-17'
          }
      ],
      color: '#808080', 
      textColor: '#808080', 
      backgroundColor:'#ff0000',
      eventColor:'#c7e8cb',
      dayClick: function() {
          alert('a day has been clicked!');
      }
  });
  /***** END EVENTS CALENDAR *******/

  /* ========= END EVENT CALENDAR =========== */


  /***** MOBILE MENU FUNCTIONALITY *******/


  $('.menuOpener').sidr({

    side: 'right',
    speed: 500,
    onOpen: function () {

      $(".menuOpener").toggleClass('closer');


    }, onClose: function () {

      $(".menuOpener").toggleClass('closer');

    }

  });

  $("#sidr #mobileNav").navgoco({accordion: true});

  $("#sidr li").has("ul").addClass('accordionParent');

  /***** END MOBILE MENU FUNCTIONALITY *******/

  /***** MEGA MENU FUNCTIONALITY *******/

  // Set active article for all mega menus

  $(".megaMenu").each(function (index, el) {
    $(this).find('.contentTab').hide();
    $(this).find('.contentTab:first').show();

    $(this).find(".links li").removeClass('current');
    $(this).find(".links li:first").addClass('current');

  });

  $(".mainNav ul li").hover(showMegaMenu, hideMegaMenu);

  function showMegaMenu() {
    $(this).find('.megaMenu').stop().fadeIn();
  }

  function hideMegaMenu() {
    $(this).find('.megaMenu').stop().fadeOut();
  }

  $(".megaMenu .links li").click(filterMegaContent);

  function filterMegaContent() {

    $(this).parents(".megaMenu").find('.contentTab').hide();
    $(this).parents(".megaMenu").find('.contentTab.' + $(this).data('target')).show();
    $(".megaMenu .links li").removeClass('current');
    $(this).addClass('current');

  }
  /***** END MEGA MENU FUNCTIONALITY *******/


  

  function showPageOverlay(){
    $(".pageOverlay").stop().fadeIn(1000);
  }

  function hidePageOverlay(){
    $(".pageOverlay").stop().fadeOut(1000);
  }

  

  /***** ISOTOPE GRID FUNCTIONALITY *******/


  var $container = $('.isotopeWrapper');

  $container.imagesLoaded( function() {

    $container.isotope({

      itemSelector : '.item',
      percentPosition: true,
      layoutMode: 'masonry'

    });
    
  });


  /***** END ISOTOPE GRID FUNCTIONALITY *******/

  /***** ISOTOPE ITEM SUMMARY *******/

  

  /***** END ISOTOPE ITEM SUMMARY *******/

  
  

  

  /***** PROOJECTS ACCORDION *******/
  $(".accordionContainer .accordionTitle").click(openAccordion);

  function openAccordion() {

    if ($(this).hasClass('open')) {

      $(".accordionContainer .accordionTitle").removeClass('open');
      $(".accordionContainer .accordion").slideUp();
      $(this).removeClass("open").next(".accordion").slideUp();

    } else {

      $(".accordionContainer .accordionTitle").removeClass('open');
      $(".accordionContainer .accordion").slideUp();
      $(this).addClass("open").next(".accordion").slideDown(function () {
        
      });

    }

  }
  /***** END PROOJECTS ACCORDION *******/

  



  

});